Skip to main content
GET
/
api
/
v1
/
contract
/
{contract_id}
/
line-items
Contract Line Items Api
curl --request GET \
  --url https://api.justpaid.io/api/v1/contract/{contract_id}/line-items \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.justpaid.io/api/v1/contract/{contract_id}/line-items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.justpaid.io/api/v1/contract/{contract_id}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "uuid": "item-uuid",
    "name": "API Calls",
    "description": "Pay per API call",
    "billing_alias": "api_calls",
    "prices": [
      {
        "uuid": "price-uuid",
        "price": 0.001,
        "billing_cycle": "monthly",
        "price_type": "usage_based_fee",
        "recurring": false,
        "usage_based_unit": "calls",
        "usage_based_unit_price": 0.001,
        "min_units": 0,
        "max_units": null
      }
    ]
  }
]
{
"detail": "Contract not found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contract_id
string
required

The UUID of the contract

Response

List of plan items with pricing details

name
string
required
Maximum string length: 255
billing_alias
string | null

The billing alias for this plan item

Example:

"api_calls"

prices
PlanItemPriceOut · object[]

List of prices for this plan item

uuid
string<uuid>
description
string | null